%define upstream_name    VM-EC2
%define upstream_version 1.28

%{?perl_default_filter}

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(VM::EC2::ReservedInstance::Listing::InstanceCount\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Interface to the Amazon AWS API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/VM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(AnyEvent::CacheDNS)
BuildRequires: perl(AnyEvent::HTTP)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(File::Path)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(String::Approx)
BuildRequires: perl(URI::URL)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This is an interface to the 2013-07-15 version of the Amazon AWS API
(http://aws.amazon.com/ec2). It was written provide access to the new tag
and metadata interface that is not currently supported by Net::Amazon::EC2,
as well as to provide developers with an extension mechanism for the API.
This library will also support the Eucalyptus open source cloud
(http://open.eucalyptus.com).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc LICENSE META.yml META.json Changes README
%{_bindir}/migrate-ebs-image.pl
%{_bindir}/sync_to_snapshot.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.280.0-9.mga9
+ Revision: 1830739
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.280.0-8.mga8
+ Revision: 1498205
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.280.0-7.mga7
+ Revision: 1272560
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.280.0-6.mga6
+ Revision: 1035687
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.280.0-5.mga6
+ Revision: 971849
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.280.0-4.mga6
+ Revision: 893434
+ rebuild (emptylog)

* Wed Oct 21 2015 tv <tv> 1.280.0-3.mga6
+ Revision: 893432
- rebuild with fixed deps

* Wed Jul 08 2015 shlomif <shlomif> 1.280.0-2.mga6
+ Revision: 852809
- Fix requires

* Mon Jul 06 2015 sander85 <sander85> 1.280.0-1.mga6
+ Revision: 851948
- update to 1.28

* Tue Jun 30 2015 shlomif <shlomif> 1.250.0-1.mga6
+ Revision: 848406
- Remove some unnecessary text
- Importing perl-VM-EC2


* Tue Jun 30 2015 cpan2dist 1.25-1mga
- initial mageia release, generated with cpan2dist
